Page MenuHomePhabricator

Call to undefined method DOMDocument::setAttribute() in MobileFormatter.php on line 239
Closed, ResolvedPublic2 Story Points

Description

Seen in prod:

Fatal error: Call to undefined method DOMDocument::setAttribute() in /srv/mediawiki/php-1.28.0-wmf.4/extensions/MobileFrontend/includes/MobileFormatter.php on line 239

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterDon't mark document as reference section

Event Timeline

MaxSem created this task.Jun 8 2016, 11:38 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 8 2016, 11:39 PM
jhobs raised the priority of this task from High to Unbreak Now!.Jun 9 2016, 5:18 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 9 2016, 5:18 PM
phuedx added a subscriber: phuedx.Jun 9 2016, 6:42 PM

Initial information/thoughts:

  • on-demand reference loading is disabled in production
    • on-demand references can be enabled in production by placing a magic cookie in your cookie jar
  • this will affect the main page or a special page if it contains a <references> tag
  • this has happened 35 times in the last 7 days
jhobs lowered the priority of this task from Unbreak Now! to High.Jun 9 2016, 6:59 PM
jhobs added a subscriber: jhobs.

Re-prioritizing to High after initial investigation by @phuedx. I wouldn't be surprised if those 35 instances are accidental from WMF devs.

Peter added a subscriber: Peter.Jun 10 2016, 10:33 AM

After talking with @Peter, I can rule out wikimedia/wpt-reporter as:

  • there's no mention of mfLazyLoadReferences in the repository
  • the errors are happening somewhat sporadically rather than every three hours

Change 293718 had a related patch set uploaded (by Phuedx):
Don't mark document as reference section

https://gerrit.wikimedia.org/r/293718

Change 293718 merged by jenkins-bot:
Don't mark document as reference section

https://gerrit.wikimedia.org/r/293718

phuedx removed phuedx as the assignee of this task.Jun 13 2016, 5:06 PM
phuedx set the point value for this task to 2.Jun 13 2016, 5:13 PM

A few instances of the error have popped up.

Let's monitor this after thursday's deployment of group2 and see if they disappear.

Jhernandez closed this task as Resolved.Jun 17 2016, 10:58 AM
Jhernandez claimed this task.

Last one seems to be on wednesday, nothing has happened since, so I'm calling it done.